Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapChunkSeparator

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.IcapChunkSeparator

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler

    public class IcapChunkSeparator

extends Object
implements org.jboss.netty.channel.ChannelDownstreamHandler

Separates a received ICAP message and body that is attached to either the HTTP request or response. In other words. This handler allows to create a combined ICAP message containing HTTP request/response and the corresponding body as ChannelBuffer include in one of the HTTP relevant instances. This separator cannot handle trailing headers at HTTP request or response bodies. If you have to send trailing headers then consider not using this separator but handling the message body by yourself.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Constructor Summary
`IcapChunkSeparator(int chunkSize)`

Method Summary
`void` | `handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapChunkSeparator

    public IcapChunkSeparator(int chunkSize)

Parameters:
  `chunkSize` - defines the normal chunk size that is to be produced while separating.

Method Detail

### handleDownstream

    public void handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.channel.ChannelEvent e)
                          throws Exception

  Specified by:
    `handleDownstream` in interface `org.jboss.netty.channel.ChannelDownstreamHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.